{ config
, ...
}:
{
  home = {
    username = "harald";
    homeDirectory = "/home/${config.home.username}";
    stateVersion = "23.11"; # Please read the comment before changing.
    sessionPath = [ "$HOME/bin" ];
  };

  nix.settings = {
    substituters = [
      "https://cache.nixos.org"
    ];
    trusted-public-keys = [
      "cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY="
    ];
  };

  metacfg = {
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = false;
      tmux.enable = true;
      bat.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      git.enable = true;
      direnv.enable = true;
      ssh.enable = true;
    };
  };
}
